Skip to content

Tasks

All operations require authentication.

8 operationsv1 · v2/domain/name · /domain/{serviceName}
Agent setup

List tasks related to a managed domain name resourceBeta

GET
/v2/domain/name/{domainName}/task

Path parameters

domainName
required
string

Domain name

Query parameters

status
TaskStatusEnum

Filter the tasks by status

ValuesDONEERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUT
type
TaskTypeEnum

Filter the tasks by type (operation name, for example DomainTrade, DomainContactUpdate)

ValuesContactControlContactControlAcknowledgeContactControlCorrectContactControlNotifyDomainAfterMarketDomainContactControlDomainContactUpdateDomainCreateDomainDeleteDomainDnsUpdateDomainDsUpdateDomainEmailRedirectionsCreateDomainEmailRedirectionsDeleteDomainHoldDomainHostCreateDomainHostDeleteDomainHostUpdateDomainIncomingTransferDomainOutgoingTransferDomainProtectDomainRegistryDeleteDomainRenewDomainResourceDeleteDomainRestoreDomainTradeDomainUnholdDomainUnprotect

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200DomainTask[]successful operation
additionalDetails
read-only
AdditionalDetails

Operation-specific details, present for certain task types like DomainIncomingTransfer

createdAt
read-only
stringdate-time

Creation date of the task

errors
read-only
TaskError[]

Errors that occurred on the task

finishedAt
read-only
stringdate-time

Ending date of the task

id
read-only
stringuuid

Unique identifier of the task

link
read-only
string

Link to the related resource

message
read-only
string

Description of the task

progress
read-only
TaskProgress[]

Progress steps of the asynchronous operation

startedAt
read-only
stringdate-time

Starting date of the task

status
read-only
TaskStatusEnum

Current global status of the task

ValuesDONEERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUT
type
read-only
string

Type of the task

updatedAt
read-only
stringdate-time

Last update of the task

Example uses domainName = string

$ curl https://api.eu.ovhcloud.com/v2/domain/name/{domainName}/task \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "additionalDetails": { "dnssec": { "decision": { "autoHandling": true, "preserveDnssec": true, "reason": "string", "status": "BLOCKED", "synchronizeDnsRecords": true }, "preTransfer": { "dnskeyCount": 0, "dsCount": 0, "hadDnssec": true, "hasDnskey": true }, "registry": { "supportsDnssec": true } }, "dnssecRiskAcknowledged": true, "estimatedCompletionAt": "2024-01-01T12:00:00Z" }, "createdAt": "2024-01-01T12:00:00Z", "errors": [ { "message": "string" } ], "finishedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "link": "string", "message": "string", "progress": [ { "name": "string", "status": "DONE" } ], "startedAt": "2024-01-01T12:00:00Z", "status": "DONE", "type": "string", "updatedAt": "2024-01-01T12:00:00Z" }]

Get a specific task related to a managed domain name resourceBeta

GET
/v2/domain/name/{domainName}/task/{taskId}

Path parameters

domainName
required
string

Domain name

taskId
required
stringuuid

Task ID

Response

200DomainTasksuccessful operation
additionalDetails
read-only
AdditionalDetails

Operation-specific details, present for certain task types like DomainIncomingTransfer

createdAt
read-only
stringdate-time

Creation date of the task

errors
read-only
TaskError[]

Errors that occurred on the task

finishedAt
read-only
stringdate-time

Ending date of the task

id
read-only
stringuuid

Unique identifier of the task

link
read-only
string

Link to the related resource

message
read-only
string

Description of the task

progress
read-only
TaskProgress[]

Progress steps of the asynchronous operation

startedAt
read-only
stringdate-time

Starting date of the task

status
read-only
TaskStatusEnum

Current global status of the task

ValuesDONEERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUT
type
read-only
string

Type of the task

updatedAt
read-only
stringdate-time

Last update of the task

Example uses domainName = string, taskId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/domain/name/{domainName}/task/{taskId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "additionalDetails": { "dnssec": { "decision": { "autoHandling": true, "preserveDnssec": true, "reason": "string", "status": "BLOCKED", "synchronizeDnsRecords": true }, "preTransfer": { "dnskeyCount": 0, "dsCount": 0, "hadDnssec": true, "hasDnskey": true }, "registry": { "supportsDnssec": true } }, "dnssecRiskAcknowledged": true, "estimatedCompletionAt": "2024-01-01T12:00:00Z" }, "createdAt": "2024-01-01T12:00:00Z", "errors": [ { "message": "string" } ], "finishedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "link": "string", "message": "string", "progress": [ { "name": "string", "status": "DONE" } ], "startedAt": "2024-01-01T12:00:00Z", "status": "DONE", "type": "string", "updatedAt": "2024-01-01T12:00:00Z"}

Update a domain name task with additional detailsBeta

PUT
/v2/domain/name/{domainName}/task/{taskId}

Provide additional details on a task to unblock its processing.

Acknowledge DNSSEC risk

When an incoming transfer is blocked due to a DNSSEC risk, set dnssecRiskAcknowledged to true to accept the risk and proceed with the transfer. When omitted or set to false, no action is taken.

Path parameters

domainName
required
string

Domain name

taskId
required
stringuuid

Task ID

Request body (required)

dnssec
read-only
DnssecTransferStatus

DNSSEC-related transfer analysis details

dnssecRiskAcknowledged
boolean

Set to true to accept the DNSSEC risk and proceed with the transfer

estimatedCompletionAt
read-only
stringdate-time

Estimated date when the task will complete

Response

200DomainTasksuccessful operation
additionalDetails
read-only
AdditionalDetails

Operation-specific details, present for certain task types like DomainIncomingTransfer

createdAt
read-only
stringdate-time

Creation date of the task

errors
read-only
TaskError[]

Errors that occurred on the task

finishedAt
read-only
stringdate-time

Ending date of the task

id
read-only
stringuuid

Unique identifier of the task

link
read-only
string

Link to the related resource

message
read-only
string

Description of the task

progress
read-only
TaskProgress[]

Progress steps of the asynchronous operation

startedAt
read-only
stringdate-time

Starting date of the task

status
read-only
TaskStatusEnum

Current global status of the task

ValuesDONEERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUT
type
read-only
string

Type of the task

updatedAt
read-only
stringdate-time

Last update of the task

Example uses domainName = string, taskId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/domain/name/{domainName}/task/{taskId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "additionalDetails": { "dnssec": { "decision": { "autoHandling": true, "preserveDnssec": true, "reason": "string", "status": "BLOCKED", "synchronizeDnsRecords": true }, "preTransfer": { "dnskeyCount": 0, "dsCount": 0, "hadDnssec": true, "hasDnskey": true }, "registry": { "supportsDnssec": true } }, "dnssecRiskAcknowledged": true, "estimatedCompletionAt": "2024-01-01T12:00:00Z" }, "createdAt": "2024-01-01T12:00:00Z", "errors": [ { "message": "string" } ], "finishedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "link": "string", "message": "string", "progress": [ { "name": "string", "status": "DONE" } ], "startedAt": "2024-01-01T12:00:00Z", "status": "DONE", "type": "string", "updatedAt": "2024-01-01T12:00:00Z"}

List all domain tasksProduction

GET
/1.0/domain/{serviceName}/task

Path parameters

serviceName
required
string

Service name

Query parameters

function
string

Filter the value of function property (like)

status
OperationStatusEnum

Filter the value of status property (=)

Valuescancelleddoingdoneerrorproblemtodo
type
OperationTypeEnum

Filter the value of type property (=)

Valuesalldomdomain

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/{serviceName}/task \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get details about a domain taskProduction

GET
/1.0/domain/{serviceName}/task/{id}

Path parameters

id
required
integer

Id

serviceName
required
string

Service name

Response

200Tasksuccessful operation
canAccelerate
read-only
boolean

Can accelerate the task

canCancel
read-only
boolean

Can cancel the task

canRelaunch
read-only
boolean

Can relaunch the task

comment
read-only
string

Comment about the task

creationDate
read-only
stringdate-time

Creation date of the task

domain
read-only
string

Domain of the task

doneDate
read-only
stringdate-time

Done date of the task

function
read-only
string

Function of the task

id
read-only
integer

Id of the task

lastUpdate
read-only
stringdate-time

Last update date of the task

status
read-only
OperationStatusEnum

Status of the task

Valuescancelleddoingdoneerrorproblemtodo
todoDate
read-only
stringdate-time

Todo date of the task

type
read-only
OperationTypeEnum

type of the task

Valuesalldomdomain

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/{serviceName}/task/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canAccelerate": true, "canCancel": true, "canRelaunch": true, "comment": "string", "creationDate": "2024-01-01T12:00:00Z", "domain": "string", "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "type": "alldom"}

Accelerate the taskProduction

POST
/1.0/domain/{serviceName}/task/{id}/accelerate

Path parameters

id
required
integer

Id

serviceName
required
string

Service name

Response

200—successful operation

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/{serviceName}/task/{id}/accelerate \
  -H "authorization: Bearer $OVH_TOKEN"

Cancel the taskProduction

POST
/1.0/domain/{serviceName}/task/{id}/cancel

Path parameters

id
required
integer

Id

serviceName
required
string

Service name

Response

200—successful operation

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/{serviceName}/task/{id}/cancel \
  -H "authorization: Bearer $OVH_TOKEN"

Relaunch the taskProduction

POST
/1.0/domain/{serviceName}/task/{id}/relaunch

Path parameters

id
required
integer

Id

serviceName
required
string

Service name

Response

200—successful operation

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/{serviceName}/task/{id}/relaunch \
  -H "authorization: Bearer $OVH_TOKEN"